Package org.eclipse.birt.chart.computation

# Class SeriesNameFormat

java.lang.Object
org.eclipse.birt.chart.computation.SeriesNameFormat

public class SeriesNameFormat extends Object
SeriesNameFormat is a Formatter special for SeriesIdentifier with optional Y-Grouping.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SeriesNameFormat`
`DEFAULT_FORMAT`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(Object obj)`
`static SeriesNameFormat`
`getSeriesNameFormat(SeriesDefinition sd, com.ibm.icu.util.ULocale loc)`
Deprecated.
to use `getSeriesNameFormat(SeriesDefinition, ULocale, boolean)`
`static SeriesNameFormat`
`getSeriesNameFormat(SeriesDefinition sd, com.ibm.icu.util.ULocale loc, boolean keepHierarchy)`
Returns default series format

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_FORMAT

public static final SeriesNameFormat DEFAULT_FORMAT

## Method Details

### getSeriesNameFormat

@Deprecated public static SeriesNameFormat getSeriesNameFormat(SeriesDefinition sd, com.ibm.icu.util.ULocale loc)
Deprecated.
to use `getSeriesNameFormat(SeriesDefinition, ULocale, boolean)`
Returns default series format

Parameters:
  `sd` - series definition
  `loc` - locale
Returns:
  default series format

### getSeriesNameFormat

public static SeriesNameFormat getSeriesNameFormat(SeriesDefinition sd, com.ibm.icu.util.ULocale loc, boolean keepHierarchy)
Returns default series format

Parameters:
  `sd` - series definition
  `loc` - locale
  `keepHierarchy` - indicates if hierarchy should be kept
Returns:
  default series format

### format

public String format(Object obj)